package cn.com.qmth.stmms.biz.distributpaper.service;

import java.util.List;

import cn.com.qmth.stmms.biz.distributpaper.model.CaseHistory;

public interface CaseHistoryService {

    CaseHistory save(CaseHistory caseHistory);

    CaseHistory findById(Integer id);

    void deleteById(Integer id);

    void delete(CaseHistory caseHistory);

    List<CaseHistory> getHistoryByScorer(Integer examId, String subjectCode, Integer blockId, Integer scorer);

    List<CaseHistory> findByExamIdAndSubjectIdAndBlockIdAndSchoolId(Integer examId, String subjectCode, Integer blockId);

    public List<CaseHistory> findByLibraryId(int libraryId);

}
